Помогитте плз

У него видимо тюрьма в один блок, что из неё можно выйти в гм1 на время отмены BlockBreakEvent. А плагин движения не ограничивает за тюрьмой что ли?

Тюрьма в один блок?

Он говорит, у него из тюрьмы можно выйти будучи в гм1, сломав блок. Видимо в один блок тюрьма, блок ведь для клиента не сразу ставится обратно, если событие было отменено

Понял, ну тогда пусть сделает тюрьму под землёй :neutral_face:

В ±5 блоков во все стороны )

Дописывать плагин что-то нет желающих)

У меня не в один блок,она сделана под землей

Конечно же можно было бы и так сделать, но он новичекв кодинге на PHP. Можно переписать его плагин, сделать просто связку плагина в банком, и все. Пусть человек порадуется.

Он не новичок, он не кодер.

Может тогда ему кто-нибудь перепишет или покажет хотя бы как сделать связку плагина? Я могу скинуть код.

Ну я не знаю, можно через DispatchCommand в ограблении прописать /jail, только я другим занят в данный момент

Ну я же говорю. Тут можно сделать связку плагина через класс покетмайна ибо же $this.

Code:

  1. $this->getServer()->getPluginManager()->getPlugin(‘BankRob’);
  2. \pocketmine\Server::getInstance()->getPluginManager()->getPlugin(‘BankRob’);

Ему этот код ничего не даст, а сам я если сделаю это, то не скоро

Извините конечно, но просто создать плагин тем более такой легкий с готовым кодом - это слишком легко. Я думал, что любой справится.
P.S. Я не про тебя.

Нам-то легко, спустя год-два самообучения

Согласен. Я вообще учился у Encritary.:joy::joy::joy:

Никого не хочу унизить, но кодеров тут - кот наплакал. Чтоб ты понимал, я для большинства написал гайд - и многие именно на этом уровне находятся

Кстати, я могу помочь тебе/вам с более трудными уроками. Если что - обращайся. А про то, что тут кодеров мало еще не знаю, только что пришел в этот форум, раньше в основном помогал с Java/Maven.

Я из апи PMMP не умею работать разве что с пакетами - учусь. Сейчас пишу Seat, на 1.1.Х его нигде не встречал, напишу для себя и на форум выкину в последствии

Хм. Я видел такой тауой плагин конечно. Но он был вроде как не на 1.1x, а на высокие версии, но можно было бы его перепичать по 1.1х.

Чем и занимаюсь. Хотя оказалось легко, так что скоро будет